> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Republish Connect information for envelope

PUT https://demo.docusign.net/restapi/v2/accounts/{accountId}/connect/envelopes/{envelopeId}/retry_queue

Republishes Connect information for the specified envelope.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/connect/connectevents/retryforenvelope

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `envelopeId` (string, required) — The envelope's GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

## Response

### 200

Successful response.

- `retryQueue` (list of connectFailureResult, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### connectFailureResult

- `configId` (string, optional) — Reserved for DocuSign.
- `configUrl` (string, optional) — Reserved for DocuSign.
- `envelopeId` (string, optional) — The envelope ID of the envelope status that failed to post.
- `status` (string, optional) — Connection status.
- `statusMessage` (string, optional) — Connection status message.

## Examples

**Response**

```json
{
  "retryQueue": [
    {
      "configId": "string",
      "configUrl": "string",
      "envelopeId": "string",
      "status": "string",
      "statusMessage": "string"
    }
  ]
}
```